diff --git a/gst/sdp/meson.build b/gst/sdp/meson.build
index 021bea2..9852c75 100644
--- a/gst/sdp/meson.build
+++ b/gst/sdp/meson.build
@@ -9,7 +9,7 @@ gstsdpelem = library('gstsdpelem',
   sdp_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstrtp_dep, gstsdp_dep, gio_dep, gstapp_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstrtp_dep, gstsdp_dep, gio_dep, gstapp_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/segmentclip/meson.build b/gst/segmentclip/meson.build
index 65fa59e..6493b84 100644
--- a/gst/segmentclip/meson.build
+++ b/gst/segmentclip/meson.build
@@ -9,7 +9,7 @@ gstsegmentclip = library('gstsegmentclip',
   segment_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/siren/meson.build b/gst/siren/meson.build
index b6bfc60..ce566b4 100644
--- a/gst/siren/meson.build
+++ b/gst/siren/meson.build
@@ -14,7 +14,7 @@ gstsiren = library('gstsiren',
   siren_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/smooth/meson.build b/gst/smooth/meson.build
index fca62ad..04bafba 100644
--- a/gst/smooth/meson.build
+++ b/gst/smooth/meson.build
@@ -6,7 +6,7 @@ gstsmooth = library('gstsmooth',
   smooth_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/speed/meson.build b/gst/speed/meson.build
index 11a90c8..1825694 100644
--- a/gst/speed/meson.build
+++ b/gst/speed/meson.build
@@ -6,7 +6,7 @@ gstspeed = library('gstspeed',
   speed_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstaudio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/subenc/meson.build b/gst/subenc/meson.build
index 5d41c2d..a23d1a5 100644
--- a/gst/subenc/meson.build
+++ b/gst/subenc/meson.build
@@ -8,7 +8,7 @@ gstsubenc = library('gstsubenc',
   subenc_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/switchbin/meson.build b/gst/switchbin/meson.build
index 88d79bb..71b7522 100644
--- a/gst/switchbin/meson.build
+++ b/gst/switchbin/meson.build
@@ -6,7 +6,7 @@ gstswitchbin = library('gstswitchbin',
   switchbin_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gst_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/timecode/meson.build b/gst/timecode/meson.build
index 03c4ca1..0cfdfcb 100644
--- a/gst/timecode/meson.build
+++ b/gst/timecode/meson.build
@@ -4,7 +4,7 @@ timecode_sources = [
   'gstavwait.c'
 ]
 
-tc_deps = [gstbase_dep, gstaudio_dep, gstvideo_dep]
+tc_deps = [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, gstvideo_dep]
 
 ltc_dep = dependency('ltc', version : '>=1.1.4', required : false)
 if ltc_dep.found()
diff --git a/gst/transcode/meson.build b/gst/transcode/meson.build
index df79d31..8ada7b0 100644
--- a/gst/transcode/meson.build
+++ b/gst/transcode/meson.build
@@ -5,7 +5,7 @@ gsttranscoder_plugin = library('gsttranscode',
   'gst-cpu-throttling-clock.c',
   'gsturitranscodebin.c',
   install : true,
-  dependencies : [gst_dep, gstpbutils_dep],
+  dependencies : [glib_dep, gobject_dep, gst_dep, gstpbutils_dep],
   c_args : gst_plugins_bad_args,
   include_directories : [configinc, libsinc],
   install_dir : plugins_install_dir,
diff --git a/gst/unixfd/meson.build b/gst/unixfd/meson.build
index 4b3cab8..3f6d20a 100644
--- a/gst/unixfd/meson.build
+++ b/gst/unixfd/meson.build
@@ -15,7 +15,7 @@ gstunixfd_plugin = library('gstunixfd',
   sources,
   c_args: gst_plugins_bad_args,
   include_directories: [configinc],
-  dependencies : [gstbase_dep, gstallocators_dep, gio_dep, gio_unix_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstallocators_dep, gio_dep, gio_unix_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/videofilters/meson.build b/gst/videofilters/meson.build
index 39e718f..2ccbfa2 100644
--- a/gst/videofilters/meson.build
+++ b/gst/videofilters/meson.build
@@ -29,7 +29,7 @@ gstvideofiltersbad = library('gstvideofiltersbad',
   vfilt_sources, orc_c, orc_h,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstvideo_dep, gstbase_dep, orc_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstbase_dep, orc_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/videoframe_audiolevel/meson.build b/gst/videoframe_audiolevel/meson.build
index 9232ae4..e418215 100644
--- a/gst/videoframe_audiolevel/meson.build
+++ b/gst/videoframe_audiolevel/meson.build
@@ -6,7 +6,7 @@ gstvideoframe_audiolevel = library('gstvideoframe_audiolevel',
   videoframe_audiolevel_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstvideo_dep, gstaudio_dep, libm],
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstaudio_dep, libm],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/videoparsers/meson.build b/gst/videoparsers/meson.build
index 37b7833..8be0aba 100644
--- a/gst/videoparsers/meson.build
+++ b/gst/videoparsers/meson.build
@@ -21,7 +21,7 @@ gstvideoparsersbad = library('gstvideoparsersbad',
   vparse_sources,
   c_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
   include_directories : [configinc],
-  dependencies : [gstcodecparsers_dep, gstbase_dep, gstpbutils_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstcodecparsers_dep, gstbase_dep, gstpbutils_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/videosignal/meson.build b/gst/videosignal/meson.build
index 04d5044..d75b383 100644
--- a/gst/videosignal/meson.build
+++ b/gst/videosignal/meson.build
@@ -9,7 +9,7 @@ gstvideosignal = library('gstvideosignal',
   vsignal_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/vmnc/meson.build b/gst/vmnc/meson.build
index 9735ad7..10ada65 100644
--- a/gst/vmnc/meson.build
+++ b/gst/vmnc/meson.build
@@ -6,7 +6,7 @@ gstvmnc = library('gstvmnc',
   vmnc_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/gst/y4m/meson.build b/gst/y4m/meson.build
index 0b778d2..eb34867 100644
--- a/gst/y4m/meson.build
+++ b/gst/y4m/meson.build
@@ -6,7 +6,7 @@ gsty4mdec = library('gsty4mdec',
   y4_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/meson.build b/meson.build
index 541b723..57daae7 100644
--- a/meson.build
+++ b/meson.build
@@ -388,6 +388,8 @@ if gstgl_dep.found()
 endif
 
 libm = cc.find_library('m', required : false)
+glib_dep = dependency('glib-2.0', version: glib_req)
+gobject_dep = dependency('gobject-2.0', version: glib_req)
 gio_dep = dependency('gio-2.0', version: glib_req)
 gmodule_dep = dependency('gmodule-no-export-2.0')
 # gio-unix-2.0 is used by sys/bluez
diff --git a/sys/aja/meson.build b/sys/aja/meson.build
index e2f4dce..d778c33 100644
--- a/sys/aja/meson.build
+++ b/sys/aja/meson.build
@@ -62,7 +62,7 @@ gstaja = library('gstaja',
   cpp_args : gst_plugins_bad_args + common_flags,
   include_directories : [configinc],
   link_args : noseh_link_args,
-  dependencies : [gstvideo_dep, gstaudio_dep, gstbase_dep, gst_dep, ajantv2_dep, thread_dep, rt_dep],
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstaudio_dep, gstbase_dep, gst_dep, ajantv2_dep, thread_dep, rt_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/amfcodec/meson.build b/sys/amfcodec/meson.build
index 66018fc..301c45b 100644
--- a/sys/amfcodec/meson.build
+++ b/sys/amfcodec/meson.build
@@ -74,7 +74,7 @@ gstamfcodec = library('gstamfcodec',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args : gst_plugins_bad_args + extra_args + extra_cpp_args,
   include_directories : [configinc, include_directories('include')],
-  dependencies : [gstbase_dep, gstvideo_dep, gstpbutils_dep, gstcodecparsers_dep, gmodule_dep] + platform_deps,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstpbutils_dep, gstcodecparsers_dep, gmodule_dep] + platform_deps,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/androidmedia/meson.build b/sys/androidmedia/meson.build
index bb0067a..dc78ec6 100644
--- a/sys/androidmedia/meson.build
+++ b/sys/androidmedia/meson.build
@@ -96,7 +96,7 @@ if have_jni_h or have_mlsdk
     androidmedia_sources,
     c_args : [gst_plugins_bad_args, extra_cargs],
     include_directories : [configinc],
-    dependencies : [gstgl_dep, gstpbutils_dep, gstaudio_dep, gstvideo_dep,
+    dependencies : [glib_dep, gobject_dep, gstgl_dep, gstpbutils_dep, gstaudio_dep, gstvideo_dep,
                     gstphotography_dep, gmodule_dep, orc_dep, extra_deps],
     install : true,
     install_dir : plugins_install_dir)
diff --git a/sys/applemedia/meson.build b/sys/applemedia/meson.build
index ebe839f..4d3f649 100644
--- a/sys/applemedia/meson.build
+++ b/sys/applemedia/meson.build
@@ -118,7 +118,7 @@ if applemedia_found_deps
         objcpp_args : gst_plugins_bad_args + applemedia_args + applemedia_objc_args + applemedia_objcpp_args,
         link_args : noseh_link_args,
         include_directories : [configinc, libsinc],
-        dependencies : [gstvideo_dep, gstaudio_dep, gstpbutils_dep, gst_dep, gstbase_dep, gstgl_dep, gstglproto_dep, gstcodecparsers_dep] + applemedia_frameworks,
+        dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstaudio_dep, gstpbutils_dep, gst_dep, gstbase_dep, gstgl_dep, gstglproto_dep, gstcodecparsers_dep] + applemedia_frameworks,
         override_options : ['cpp_std=c++11'],
         install : true,
         install_dir : plugins_install_dir,
diff --git a/sys/bluez/meson.build b/sys/bluez/meson.build
index 085b835..77b696b 100644
--- a/sys/bluez/meson.build
+++ b/sys/bluez/meson.build
@@ -25,7 +25,7 @@ if bluez_dep.found() and gio_unix_dep.found()
     bluez_sources, bluez_ch,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, gstrtp_dep, gstbase_dep, gio_unix_dep, bluez_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstrtp_dep, gstbase_dep, gio_unix_dep, bluez_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/d3d11/meson.build b/sys/d3d11/meson.build
index ff557be..f1b698d 100644
--- a/sys/d3d11/meson.build
+++ b/sys/d3d11/meson.build
@@ -138,7 +138,7 @@ gstd3d11 = library('gstd3d11',
   c_args : gst_plugins_bad_args + extra_c_args + extra_args,
   cpp_args: gst_plugins_bad_args + extra_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gmodule_dep, gstcontroller_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gmodule_dep, gstcontroller_dep,
                   gstd3d11_dep, gstdxva_dep, d2d_dep, directxmath_dep] + extra_dep,
   install : true,
   install_dir : plugins_install_dir,
diff --git a/sys/d3d12/meson.build b/sys/d3d12/meson.build
index 00db928..56f6ae1 100644
--- a/sys/d3d12/meson.build
+++ b/sys/d3d12/meson.build
@@ -114,7 +114,7 @@ gstd3d12 = library('gstd3d12',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args: gst_plugins_bad_args + extra_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gstcodecs_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstcodecs_dep,
                   gstdxva_dep, d3d12_lib, d3d11_lib, d2d_dep, dxgi_lib,
                   dx_headers_dep],
   install : true,
diff --git a/sys/d3dvideosink/meson.build b/sys/d3dvideosink/meson.build
index 61ee39b..bb543a3 100644
--- a/sys/d3dvideosink/meson.build
+++ b/sys/d3dvideosink/meson.build
@@ -20,7 +20,7 @@ if d3d_dep.found() and gdi_dep.found() and have_d3d9_h
     d3dvideosink_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, d3d_dep, gdi_dep],
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, d3d_dep, gdi_dep],
     install : true,
     install_dir : plugins_install_dir)
   plugins += [gstd3dvideosink]
diff --git a/sys/decklink/meson.build b/sys/decklink/meson.build
index 94a77db..1b6e201 100644
--- a/sys/decklink/meson.build
+++ b/sys/decklink/meson.build
@@ -51,7 +51,7 @@ if build_decklink
     cpp_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
     link_args : decklink_ldflags + noseh_link_args,
     include_directories : [configinc],
-    dependencies : [gstvideo_dep, gstaudio_dep, gstbase_dep, gst_dep] + decklink_libs,
+    dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstaudio_dep, gstbase_dep, gst_dep] + decklink_libs,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/directshow/meson.build b/sys/directshow/meson.build
index e74886d..d57cf7b 100644
--- a/sys/directshow/meson.build
+++ b/sys/directshow/meson.build
@@ -65,7 +65,7 @@ gstdirectshow = library('gstdirectshow',
   c_args: gst_plugins_bad_args,
   cpp_args: gst_plugins_bad_args,
   include_directories: [configinc],
-  dependencies: [gstvideo_dep, gstaudio_dep] + dshow_deps,
+  dependencies : [glib_dep, gobject_dep, gstvideo_dep, gstaudio_dep] + dshow_deps,
   install: true,
   install_dir: plugins_install_dir,
   override_options: ['cpp_std=none']
diff --git a/sys/directsound/meson.build b/sys/directsound/meson.build
index 885f1d0..4522408 100644
--- a/sys/directsound/meson.build
+++ b/sys/directsound/meson.build
@@ -29,7 +29,7 @@ if dsound_dep.found() and winmm_dep.found() and ole32_dep.found() and have_dsoun
     directsoundsrc_sources,
     c_args : gst_plugins_bad_args + directsoundsrc_device_flags,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, dsound_dep, winmm_dep, ole32_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, dsound_dep, winmm_dep, ole32_dep],
     install : true,
     install_dir : plugins_install_dir)
   plugins += [gstdirectsoundsrc]
diff --git a/sys/dvb/meson.build b/sys/dvb/meson.build
index 0c334ad..fa6d7fe 100644
--- a/sys/dvb/meson.build
+++ b/sys/dvb/meson.build
@@ -36,7 +36,7 @@ if have_dvb
     dvb_sources,
     c_args : gst_plugins_bad_args + [ '-DGST_USE_UNSTABLE_API' ],
     include_directories : [configinc, libsinc],
-    dependencies : [gstmpegts_dep, gstbase_dep],
+    dependencies : [glib_dep, gobject_dep, gstmpegts_dep, gstbase_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/dwrite/meson.build b/sys/dwrite/meson.build
index b7296f6..a71cb01 100644
--- a/sys/dwrite/meson.build
+++ b/sys/dwrite/meson.build
@@ -68,7 +68,7 @@ gstdwrite = library('gstdwrite',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args: gst_plugins_bad_args + extra_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gstd3d11_dep, d2d_dep, dwrite_lib, dwrite_libcaption_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstd3d11_dep, d2d_dep, dwrite_lib, dwrite_libcaption_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/fbdev/meson.build b/sys/fbdev/meson.build
index 1a77fab..f5e1205 100644
--- a/sys/fbdev/meson.build
+++ b/sys/fbdev/meson.build
@@ -16,7 +16,7 @@ if have_fb_h
     fbdevsink_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstvideo_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/ipcpipeline/meson.build b/sys/ipcpipeline/meson.build
index 45cd8cb..a12db03 100644
--- a/sys/ipcpipeline/meson.build
+++ b/sys/ipcpipeline/meson.build
@@ -15,7 +15,7 @@ gstipcpipeline = library('gstipcpipeline',
   ipcpipeline_sources,
   c_args : gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep] + winsock2,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep] + winsock2,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/kms/meson.build b/sys/kms/meson.build
index dddd7d8..f197c6b 100644
--- a/sys/kms/meson.build
+++ b/sys/kms/meson.build
@@ -26,7 +26,7 @@ if libdrm_dep.found()
     kmssink_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstvideo_dep, gstallocators_dep, libdrm_dep, mathlib],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstallocators_dep, libdrm_dep, mathlib],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/magicleap/meson.build b/sys/magicleap/meson.build
index faeee9d..fe3615a 100644
--- a/sys/magicleap/meson.build
+++ b/sys/magicleap/meson.build
@@ -17,7 +17,7 @@ if libmlaudio_dep.found()
       '-fno-rtti',
     ],
     include_directories : [configinc, libsinc],
-    dependencies : [gst_dep, gstbase_dep, gstaudio_dep, libmlaudio_dep,
+    dependencies : [glib_dep, gobject_dep, gst_dep, gstbase_dep, gstaudio_dep, libmlaudio_dep,
                     liblumin_core_dep, liblumin_app_dep],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/sys/mediafoundation/meson.build b/sys/mediafoundation/meson.build
index 6b9a059..45fc317 100644
--- a/sys/mediafoundation/meson.build
+++ b/sys/mediafoundation/meson.build
@@ -114,7 +114,7 @@ if runtimeobject_lib.found()
       #if (WINVER < 0x0A00)
       #error "Windows 10 API is not guaranteed"
       #endif''',
-      dependencies: [mf_lib_deps, runtimeobject_lib],
+      dependencies : [glib_dep, gobject_dep, mf_lib_deps, runtimeobject_lib],
       name: 'building for WinRT')
 endif
 
@@ -168,7 +168,7 @@ gstmediafoundation = library('gstmediafoundation',
   c_args : gst_plugins_bad_args + extra_c_args,
   cpp_args : gst_plugins_bad_args + extra_cpp_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gstaudio_dep, gstpbutils_dep, gmodule_dep] + mf_lib_deps,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstaudio_dep, gstpbutils_dep, gmodule_dep] + mf_lib_deps,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/msdk/meson.build b/sys/msdk/meson.build
index b73370c..ec8f855 100644
--- a/sys/msdk/meson.build
+++ b/sys/msdk/meson.build
@@ -179,12 +179,12 @@ if host_machine.system() == 'windows'
     error('msdk plugin can only be built with MSVC')
   endif
   legacy_stdio_dep = cc.find_library('legacy_stdio_definitions', required: get_option('msdk'))
-  msdk_deps = declare_dependency(dependencies: [gstd3d11_dep, legacy_stdio_dep])
+  msdk_deps = declare_dependency(dependencies : [glib_dep, gobject_dep, gstd3d11_dep, legacy_stdio_dep])
   msdk_deps_found = gstd3d11_dep.found() and legacy_stdio_dep.found() and cc.get_id() == 'msvc'
 else
   libdl_dep = cc.find_library('dl', required: get_option('msdk'))
   libgudev_dep = dependency('gudev-1.0', required: get_option('msdk'), allow_fallback: true)
-  msdk_deps = declare_dependency(dependencies: [gstva_dep, libdl_dep, libgudev_dep, libdrm_dep])
+  msdk_deps = declare_dependency(dependencies : [glib_dep, gobject_dep, gstva_dep, libdl_dep, libgudev_dep, libdrm_dep])
   msdk_deps_found = gstva_dep.found() and libdl_dep.found() and libgudev_dep.found() and libdrm_dep.found()
 endif
 
@@ -201,7 +201,7 @@ if msdk_deps_found
     msdk_sources,
     c_args : gst_plugins_bad_args + extra_args + onevpl_extra_args,
     include_directories : [configinc, mfx_inc],
-    dependencies : [gstbase_dep, gstvideo_dep, gstpbutils_dep, gstallocators_dep, gstcodecparsers_dep, mfx_dep, msdk_deps],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstpbutils_dep, gstallocators_dep, gstcodecparsers_dep, mfx_dep, msdk_deps],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/nvcodec/meson.build b/sys/nvcodec/meson.build
index 6ade635..99cb75e 100644
--- a/sys/nvcodec/meson.build
+++ b/sys/nvcodec/meson.build
@@ -105,7 +105,7 @@ gstnvcodec = library('gstnvcodec',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args : gst_plugins_bad_args + extra_args,
   include_directories : plugin_incdirs,
-  dependencies : [gstbase_dep, gstvideo_dep, gstpbutils_dep, gstgl_dep,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstpbutils_dep, gstgl_dep,
                   gstglproto_dep, gmodule_dep, gstcodecs_dep,
                   gstd3d11_dep, gstcuda_dep] + extra_deps,
   override_options : ['cpp_std=c++14'],
diff --git a/sys/opensles/meson.build b/sys/opensles/meson.build
index a4b2176..a23dee0 100644
--- a/sys/opensles/meson.build
+++ b/sys/opensles/meson.build
@@ -23,7 +23,7 @@ if have_opensles_h and opensles_dep.found()
     opensles_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, opensles_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, opensles_dep],
     install : true,
     install_dir : plugins_install_dir)
   plugins += [gstopensles]
diff --git a/sys/qsv/meson.build b/sys/qsv/meson.build
index cdb2011..fae0a92 100644
--- a/sys/qsv/meson.build
+++ b/sys/qsv/meson.build
@@ -92,7 +92,7 @@ gstqsv = library('gstqsv',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args : gst_plugins_bad_args + extra_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep, gstcodecparsers_dep, libmfx_internal_dep] + qsv_platform_deps,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstcodecparsers_dep, libmfx_internal_dep] + qsv_platform_deps,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/shm/meson.build b/sys/shm/meson.build
index c40136b..f6f8e5a 100644
--- a/sys/shm/meson.build
+++ b/sys/shm/meson.build
@@ -36,7 +36,7 @@ if shm_enabled
     shm_sources,
     c_args : gst_plugins_bad_args + ['-DSHM_PIPE_USE_GLIB'],
     include_directories : [configinc],
-    dependencies : [gstbase_dep, rt_dep] + network_deps,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, rt_dep] + network_deps,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/tinyalsa/meson.build b/sys/tinyalsa/meson.build
index b62dbc2..11f104d 100644
--- a/sys/tinyalsa/meson.build
+++ b/sys/tinyalsa/meson.build
@@ -19,7 +19,7 @@ if have_tinyalsa
     'tinyalsa.c', 'tinyalsasink.c',
     c_args: gst_plugins_bad_args,
     include_directories: [configinc],
-    dependencies : [gstbase_dep, gstaudio_dep, tinyalsa_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstaudio_dep, tinyalsa_dep],
     install: true,
     install_dir: plugins_install_dir
   )
diff --git a/sys/uvcgadget/meson.build b/sys/uvcgadget/meson.build
index 0d3cbf4..f101bb6 100644
--- a/sys/uvcgadget/meson.build
+++ b/sys/uvcgadget/meson.build
@@ -31,7 +31,7 @@ if have_v4l2 and libgudev_dep.found()
     c_args : gst_plugins_bad_args,
     cpp_args: gst_plugins_bad_args,
     include_directories : [configinc, include_directories('../v4l2codecs')],
-    dependencies : [gstbase_dep, gstvideo_dep, gstallocators_dep, libgudev_dep, gstpbutils_dep,],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstallocators_dep, libgudev_dep, gstpbutils_dep,],
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/uvch264/meson.build b/sys/uvch264/meson.build
index 69d4bb1..de887e3 100644
--- a/sys/uvch264/meson.build
+++ b/sys/uvch264/meson.build
@@ -18,7 +18,7 @@ if libgudev_dep.found() and libusb_dep.found() and has_uvcvideo_h
     uvch264_sources,
     c_args : gst_plugins_bad_args + ['-DGST_USE_UNSTABLE_API'],
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstvideo_dep, gstallocators_dep,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, gstallocators_dep,
                     gstbasecamerabin_dep, libgudev_dep, libusb_dep],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/sys/v4l2codecs/meson.build b/sys/v4l2codecs/meson.build
index ffdc572..4c1f00b 100644
--- a/sys/v4l2codecs/meson.build
+++ b/sys/v4l2codecs/meson.build
@@ -42,7 +42,7 @@ if have_v4l2 and libgudev_dep.found()
     c_args : gst_plugins_bad_args,
     cpp_args: gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstcodecs_dep, gstallocators_dep, libgudev_dep,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstcodecs_dep, gstallocators_dep, libgudev_dep,
                    gstpbutils_dep,],
     install : true,
     install_dir : plugins_install_dir,
diff --git a/sys/va/meson.build b/sys/va/meson.build
index 250b961..3794692 100644
--- a/sys/va/meson.build
+++ b/sys/va/meson.build
@@ -80,7 +80,7 @@ gstva = library('gstva',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args : gst_plugins_bad_args + extra_args,
   include_directories : [configinc],
-  dependencies : [gstcodecs_dep, gstva_dep, libgudev_dep] + extra_dep,
+  dependencies : [glib_dep, gobject_dep, gstcodecs_dep, gstva_dep, libgudev_dep] + extra_dep,
   override_options : c_std_arg,
   install : true,
   install_dir : plugins_install_dir,
diff --git a/sys/wasapi/meson.build b/sys/wasapi/meson.build
index aba3ec5..f479964 100644
--- a/sys/wasapi/meson.build
+++ b/sys/wasapi/meson.build
@@ -45,7 +45,7 @@ if ole32_dep.found() and ksuser_dep.found() and have_audioclient_h
     c_args : gst_plugins_bad_args + wasapi_args,
     cpp_args: gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstaudio_dep, ole32_dep, ksuser_dep],
+    dependencies : [glib_dep, gobject_dep, gstaudio_dep, ole32_dep, ksuser_dep],
     install : true,
     install_dir : plugins_install_dir)
   plugins += [gstwasapi]
diff --git a/sys/wasapi2/meson.build b/sys/wasapi2/meson.build
index 26d382d..71b7ecc 100644
--- a/sys/wasapi2/meson.build
+++ b/sys/wasapi2/meson.build
@@ -143,7 +143,7 @@ gstwasapi2 = library('gstwasapi2',
   c_args : gst_plugins_bad_args + ['-DCOBJMACROS'] + extra_args,
   cpp_args : gst_plugins_bad_args + extra_args + extra_cpp_args,
   include_directories : [configinc],
-  dependencies : [gstaudio_dep, gstwinrt_dep] + wasapi2_dep,
+  dependencies : [glib_dep, gobject_dep, gstaudio_dep, gstwinrt_dep] + wasapi2_dep,
   install : true,
   install_dir : plugins_install_dir)
 plugins += [gstwasapi2]
diff --git a/sys/wic/meson.build b/sys/wic/meson.build
index d179bf3..18901cf 100644
--- a/sys/wic/meson.build
+++ b/sys/wic/meson.build
@@ -71,7 +71,7 @@ gstwic = library('gstwic',
   c_args : gst_plugins_bad_args + extra_args,
   cpp_args : gst_plugins_bad_args + extra_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep] + wic_deps,
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep] + wic_deps,
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/win32ipc/meson.build b/sys/win32ipc/meson.build
index f2335a5..7cb0ae5 100644
--- a/sys/win32ipc/meson.build
+++ b/sys/win32ipc/meson.build
@@ -34,7 +34,7 @@ gstwin32ipc = library('gstwin32ipc',
   c_args : gst_plugins_bad_args,
   cpp_args: gst_plugins_bad_args,
   include_directories : [configinc],
-  dependencies : [gstbase_dep, gstvideo_dep],
+  dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep],
   install : true,
   install_dir : plugins_install_dir,
 )
diff --git a/sys/winks/meson.build b/sys/winks/meson.build
index 2f4c29f..3904c25 100644
--- a/sys/winks/meson.build
+++ b/sys/winks/meson.build
@@ -22,7 +22,7 @@ if host_system == 'windows' and not winks_option.disabled()
     winks_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep] + winks_dep,
+    dependencies : [glib_dep, gobject_dep, gstbase_dep] + winks_dep,
     install : true,
     install_dir : plugins_install_dir,
   )
diff --git a/sys/winscreencap/meson.build b/sys/winscreencap/meson.build
index de12849..c6af39a 100644
--- a/sys/winscreencap/meson.build
+++ b/sys/winscreencap/meson.build
@@ -23,7 +23,7 @@ if d3d_dep.found() and gdi_dep.found() and have_d3d9_h
     winscreencap_sources,
     c_args : gst_plugins_bad_args,
     include_directories : [configinc],
-    dependencies : [gstbase_dep, gstvideo_dep, d3d_dep, gdi_dep],
+    dependencies : [glib_dep, gobject_dep, gstbase_dep, gstvideo_dep, d3d_dep, gdi_dep],
     install : true,
     install_dir : plugins_install_dir,
   )
